%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-storm
Version:        0.20
Release:        5%{?dist}
Summary:        An object-relational mapper (ORM) for Python

Group:          Development/Languages
License:        LGPLv2+
URL:            https://storm.canonical.com/
Source0:        https://launchpad.net/storm/trunk/%{version}/+download/storm-%{version}.tar.bz2
Source1:        README-Django.Fedora

# https://lists.ubuntu.com/archives/storm/2013-June/001492.html
Patch0:         python-storm-maxint.patch
# https://bugs.launchpad.net/storm/+bug/1199578
Patch1:         storm-0.20-exclude-tests.patch

BuildRequires:  python2-devel python-setuptools
BuildRequires:  python-fixtures

Provides:       %{name}-sqlite = %{version}-%{release}
Obsoletes:      %{name}-sqlite  < %{version}-%{release}

%description
Storm is an object-relational mapper (ORM) for Python. It offers a clean and
lightweight API offers a short learning curve and long-term maintainability and
it is easy to written backends for it.


%package    mysql
Summary:    MySQL backend for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   MySQL-python

%description mysql
The %{name}-mysql package contains the MySQL database backend for
%{name}.

%package    postgresql
Summary:    PostgreSQL backend for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   python-psycopg2

%description postgresql
The %{name}-postgresql package contains the PostgreSQL database
backend for %{name}.


%package    django
Summary:    Support for using %{name} as Django ORM
Group:      Development/Libraries
Requires:   Django
Requires:   %{name}-zope = %{version}-%{release}

%description django
The %{name}-django package contains an alternative ORM implementation
for Django.


%package    zope
Summary:    Zope integration for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   python-zope-interface python-transaction

%description zope
The %{name}-zope package provides Zope integration for %{name}.


%package    twisted
Summary:    Twisted integration for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   python-twisted-core

%description twisted
The %{name}-twisted package provides Twisted integration for %{name}.


%prep
%setup -q -n storm-%{version}
%patch0 -p1
%patch1 -p1
cp -p %{SOURCE1} .


%build
%{__python} setup.py build


%check
./test


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README TODO tests/tutorial.txt
%exclude %{python_sitearch}/storm/django
%exclude %{python_sitearch}/storm/zope
%exclude %{python_sitearch}/storm/cextensions.c
%exclude %{python_sitearch}/storm/databases/mysql.*
%exclude %{python_sitearch}/storm/databases/postgres.*
%exclude %{python_sitearch}/storm/twisted
%{python_sitearch}/storm*

%files django
%defattr(-,root,root,-)
%doc README-Django.Fedora
%{python_sitearch}/storm/django

%files zope
%defattr(-,root,root,-)
%{python_sitearch}/storm/zope

%files mysql
%defattr(-,root,root,-)
%{python_sitearch}/storm/databases/mysql.*

%files postgresql
%defattr(-,root,root,-)
%{python_sitearch}/storm/databases/postgres.*

%files twisted
%defattr(-,root,root,-)
%{python_sitearch}/storm/twisted


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Aurelien Bompard <abompard@fedoraproject.org> - 0.20-1
- Split off the twisted support files (RHBZ#963158)
- Add to bugfix patches, already reported upstream

* Thu Jul  4 2013 Michel Salim <salimma@fedoraproject.org> - 0.20-1
- Update to 0.20

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct  6 2011 Michel Salim <salimma@fedoraproject.org> - 0.19-1
- Update to 0.19

* Sun Mar 13 2011 Michel Salim <salimma@fedoraproject.org> - 0.18-1
- Update to 0.18

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.17-2
- Rebuilt for gcc bug 634757

* Fri Sep 17 2010 Michel Salim <salimma@fedoraproject.org> - 0.17-1
- Update to 0.17

* Fri Jul 30 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.15-4
- Fix test for failing build

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 28 2009 Michel Salim <salimma@fedoraproject.org> - 0.15-2
- Reenable tests on Fedora >= 11 (disabling Django tests for now)

* Fri Aug 28 2009 Michel Salim <salimma@fedoraproject.org> - 0.15-1
- Update to 0.15
- Deprecate %{name}-sqlite, now part of main package
- Separate -django and -zope subpackages

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Michel Salim <salimma@fedoraproject.org> - 0.14-1
- Update to 0.14

* Mon Dec 22 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.13-4
- Temporarily disable the check to fix broken deps
  (opened #477591 to track this)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.13-3
- Rebuild for Python 2.6

* Mon Sep  1 2008 Michel Salim <salimma@fedoraproject.org> - 0.13-2
- Add build dependency on python-sqlite2, for unit testing

* Sat Aug 30 2008 Michel Salim <salimma@fedoraproject.org> - 0.13-1
- Update to 0.13

* Mon Jul 14 2008 Michel Salim <salimma@fedoraproject.org> - 0.12-2
- Run unit tests
- Exclude database backends from main package
- Set file attributes for subpackages

* Wed Jun 18 2008 Michel Salim <salimma@fedoraproject.org> - 0.12-1
- Update to 0.12

* Sun Jan 27 2008 Michel Salim <salimma@fedoraproject.org> - 0.11-1
- Initial Fedora package
